@echo off
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: RemoveCustomuserDefaults.cmd
:: 	This script will remove all custom user defaults.
::
:: Params:
:: 	-q = execute in quiet mode
::
:: Notes:
:: 	The result of executing this script is to remove all custom user
:: 	tablet defaults, both from the temp defaults area, as well as any
:: 	user defaults from the Tablet\Wacom area.  
::
:: 	This functionality is supported by tablet driver 6.3.5 and higher.
::
:: Copyright Wacom Technology, Inc. 2013
:: All rights reserved.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

set QUIETOPT=%1

:: This script will set environment params for the file path we need.
call SetWacomUserParams.cmd

:: ----------------------------------------------------------------------------
:: If user defaults file in temp area doesn't exist, don't bother trying 
:: to delete it.
if "%USERDEFAULTSFILETEMP%"=="" goto ERRPARAMS

if "%QUIETOPT%"=="%QUIETFLAG%" GOTO DELETETEMPUSERDEFAULTS

echo.
echo Removing temp custom user defaults...
echo Deleting %USERDEFAULTSFILETEMP%...

:DELETETEMPUSERDEFAULTS
if EXIST "%USERDEFAULTSFILETEMP%" del /Q /F "%USERDEFAULTSFILETEMP%"

:: ----------------------------------------------------------------------------
:: This removes any STU mode settings that may have been set.
:: Unfortunately, it will also remove any other custom user settings
:: (such as handedness).
if "%USERDEFAULTSFILETABLET%"=="" goto ERRPARAMS

if "%QUIETOPT%"=="%QUIETFLAG%" GOTO DELETETABLETUSERDEFAULTS

echo.
echo Removing all custom user defaults...
echo Deleting %USERDEFAULTSFILETABLET%...

:DELETETABLETUSERDEFAULTS
if EXIST "%USERDEFAULTSFILETABLET%" del /Q /F "%USERDEFAULTSFILETABLET%"

goto :EOF

:ERRPARAMS
echo.
echo *********************************************
echo *** ERROR: Did you run SetWacomuserParams?
echo *********************************************
echo.
pause
goto :EOF
