@echo off
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: SetDTUMode.cmd
:: 	Installs custom settings to put DTU-1031 in DTU mode.
::
:: Params:
:: 	-q = execute in quiet mode
::
:: Notes:
:: 	This script removes tablet preferences, merges custom tablet 
:: 	defaults (if any), and restarts the tablet driver.
::
:: 	This functionality is supported by tablet driver 6.3.5 and higher.
::
:: Copyright Wacom Technology, Inc. 2013
:: All rights reserved.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

set QUIETOPT=%1

:: -----------------------------------------------------------------------
:: This script will set environment params for the file path we need.
call SetWacomUserParams.cmd

if "%QUIETOPT%"=="%QUIETFLAG%" GOTO DOREMOVE

echo.
echo *********************************************************************
echo WARNING!
echo.
echo    This script will remove all user preferences, all custom user
echo    settings, and restore the tablet to DTU mode pen and button
echo    functionality.  The tablet driver is restarted.
echo.
echo    Any existing WacomTabletDefaults.xml settings are preserved.
echo.
echo Proceed?
echo *********************************************************************
echo.
pause

:DOREMOVE

:: This script will remove all custom user defaults, both from the TEMP 
:: area as well as the Wacom\Tablet area.
call RemoveCustomUserDefaults.cmd %QUIETOPT%

:: This script will invoke the tablet installer to do the above-mentioned
:: merge, remove all prefs, and restart the driver.  Note that since
:: the installer does not (currently) remove custom user settings, we
:: did that in the step above (if any existed).
call RestartDriver.cmd %QUIETOPT%
