@echo off
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: SetSTUMode.cmd
:: 	Installs custom settings to put DTU-1031 in STU mode.
::
:: Params:
:: 	-q = execute in quiet mode
::
:: Notes:
:: 	This script removes tablet preferences, merges OEM custom tablet 
:: 	defaults (if any) with those settings necessary to put the tablet
:: 	in STU mode, and restarts the tablet driver.
::
:: 	See WARNING below for a brief description of STU mode.
::
:: 	This functionality is supported by tablet driver 6.3.5 and higher.
::
:: Copyright Wacom Technology, Inc. 2013
:: All rights reserved.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

set QUIETOPT=%1

:: -----------------------------------------------------------------------
:: This script will set environment params for the file path we need.
call SetWacomUserParams.cmd

if "%QUIETOPT%"=="%QUIETFLAG%" GOTO DOCOPY

echo.
echo *********************************************************************
echo WARNING!
echo.
echo     This script will remove all prefs and install custom settings to
echo     disable DTU-1031 pen and button input on the Windows desktop.
echo.
echo     Applications that are added via the Wacom tablet Control Panel,
echo     as well as applications that implement the Wintab API are enabled 
echo     to have full pen and button input.
echo.
echo     All existing OEM custom default settings will be preserved.
echo.
echo Proceed?
echo *********************************************************************
echo.
pause

:DOCOPY

:: This script will copy the DTU-1031 custom defaults to a temp location
:: where it can be found by the tablet installer and merged with existing
:: user defaults.
call CopySTUModeUserDefaults.cmd %QUIETOPT%

:: This script will invoke the table installer to do the above-mentioned
:: merge, remove all prefs, remove the temp file, and restart the driver.
:: Note that we preserve any existing custom user settings, which are 
:: merged with STU mode custom settings.
call RestartDriver.cmd %QUIETOPT%

