@echo off
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: SetWacomUserParams.cmd
::      Sets environ variables used by other scripts.
::
:: Notes:
::      Executing this script will cause settings to be created that are
::      needed by other scripts to copy and remove user defaults files.
::
::      This functionality is supported by tablet driver 6.3.5 and higher.
::
:: Copyright Wacom Technology, Inc. 2013
:: All rights reserved.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: It's unlikely, but make sure that TEMP is defined.
if %TEMP%=="" goto ERR

set USERDEFAULTSFILE=WacomTabletUserDefaults.xml
set USERDEFAULTSFILETEMPDIR=%TEMP%
set USERDEFAULTSFILETABLET=%SYSTEMDRIVE%\program files\tablet\Wacom\%USERDEFAULTSFILE%
set USERDEFAULTSFILETEMP=%USERDEFAULTSFILETEMPDIR%\%USERDEFAULTSFILE%

:: Option to make thescripts run quietly (not verbose).
:: Usage: -q
set QUIETFLAG=-q

:: Option to specify where to look for setup.exe
:: Usage: -d <dirname>
set EXEDIRFLAG=-d

goto :EOF

:ERR
echo.
echo ****************************************************************
echo ERROR: The environment variable TEMP was not found.
echo That variable must be of the format:
echo         TEMP=C:\Users\^<user^>\AppData\Local\Temp
echo          eg: C:\Users\Bob\AppData\Local\Temp
echo ****************************************************************
echo.
goto :EOF

